{ config, ... }:
{
  services.kanshi = {
    enable = config.home.desktop.enable;
    settings = with config.vars.displays; [
      # Outputs
      {
        output = {
          criteria = tower1;
          adaptiveSync = true;
          mode = "1920x1080@143.979996Hz";
        };
      }
      {
        output = {
          criteria = tower3;
          mode = "1680x1050@59.883";
          transform = "90";
        };
      }

      # Profiles
      {
        profile = {
          name = "tower-tv";
          outputs = [
            {
              criteria = tower1;
              position = "3840,405";
              status = "enable";
            }
            {
              criteria = tower2;
              position = "1920,405";
              status = "enable";
            }
            {
              criteria = tower3;
              position = "5760,0";
              status = "enable";
            }
            {
              criteria = tower4;
              position = "0,405";
              status = "enable";
            }
          ];
        };
      }
      {
        profile = {
          name = "tower";
          outputs = [
            {
              criteria = tower1;
              position = "1920,405";
              status = "enable";
            }
            {
              criteria = tower2;
              position = "0,405";
              status = "enable";
            }
            {
              criteria = tower3;
              position = "3840,0";
              status = "enable";
            }
          ];
        };
      }

      {
        profile = {
          name = "intuos";
          outputs = [
            {
              criteria = intuos1;
              position = "1920,278";
              scale = 1.80;
            }
            {
              criteria = intuos2;
              position = "0,0";
            }
          ];
        };
      }

      {
        profile = {
          name = "docked";
          outputs = [
            {
              criteria = "*";
              status = "enable";
            }
            {
              criteria = "eDP-1";
              status = "disable";
            }
          ];
        };
      }

      {
        profile = {
          name = "deck";
          outputs = [
            {
              criteria = "Valve Corporation ANX7530 U 0x00000001";
              status = "enable";
              mode = "800x1280@59.99900";
              transform = "270";
              scale = 1.15;
            }
          ];
        };
      }

      {
        profile = {
          name = "undocked";
          outputs = [
            {
              criteria = "eDP-1";
              status = "enable";
            }
          ];
        };
      }
    ];
  };
}
